#!/bin/bash

cd $(echo $0 | sed "s/[^\/]*$/\/..\/recipe/")

echo "Single Recipe Page Parsing:"
./allrecipes.pl -p "../tests/data/allrecipes_parse_test.html" | ../tests/recipe_unit_tester.pl ../tests/out.txt

echo "Single List Page to Single Recipe Parsing:"
./allrecipes.pl -u "file:../tests/data/allrecipes_s2s_list_test.html" | ../tests/recipe_unit_tester.pl ../tests/out.txt

echo "Single List Page to Multiple Recipe Parsing:"
./allrecipes.pl -u "file:../tests/data/allrecipes_s2m_list_test.html" | ../tests/recipe_unit_tester.pl ../tests/out2.txt

echo "Multiple List Page to Multiple Recipe Parsing:"
./allrecipes.pl -u "file:../tests/data/allrecipes_m2m_list_1_test.html" | ../tests/recipe_unit_tester.pl ../tests/out3.txt

./allrecipes.pl test "../tests/data/parser_test_cases.txt"

cd ../store
perl ../store/insert_data.pl test
